阿里云
发表主题 回复主题
  • 1067阅读
  • 1回复

[求助]如何升级一键web环境

级别: 新人
发帖
2
云币
9
一键web环境还是14年安装的  后面安装证书时发现openssl版本太老   iyA=d{S;V  
一键web有没有后续的方便升级的办法?
关键词: 安装 环境 升级
级别: 总版主
发帖
7054
云币
15523

只看该作者 沙发  发表于: 2017-12-21
安装nginx的时候,出现了这样的问题: !9KDdU  
)8#-IXxp  
nginx : Depends: libssl1.0.0 (>= 1.0.2~beta3) but 1.0.1f-1ubuntu2.11 is to be installed UF-'(  
E: Unable to correct problems, you have held broken packages. _D?/$D7u#%  
这个问题的原因是我们系统安装的OpenSSL太老了。 '/6f2[%Y"  
查看OpenSSL的版本: U/s Z1u-  
N '&>bO?@`  
openssl version b1i~F45h  
_/}$X"4  
得到的结果是: '<<@@.(f  
S,Q^M )$  
OpenSSL 1.0.1f 6 Jan 2014 &g23tT#P?  
Al8Dw)uG{  
KGo^>us  
ocK4Nxs  
首先去OpenSSL的网站 LiQH!yHW  
https://www.openssl.org/source IZLCwaW  
*aWh]x9TlU  
在终端使用wget下载最新没有漏洞的版本 L xIKH G  
wget https://www.openssl.org/source/openssl-1.1.0c.tar.gz biS[GyQ  
Yu_ eCq5/  
解压 SSE,G!@  
tar xvf https://www.openssl.org/source/openssl-1.1.0c.tar.gz 5WRqeSGh  
MmvOyK NZF  
配置并且安装,这里假定我们在服务器上操作,已经获取了root权限。 .|07IH/Di{  
cd openssl-1.1.0c.tar.gz && configure && make -j4 && make install =FIZh}JD  
c7@/<*E+  
由于安装的位置默认是/usr/local/openssl,我们需要安装到默认的位置上。即,通过设置软链接以及其它的方式来解决问题。 -X7x~x-  
ln -s /usr/local/bin/openssl /usr/bin/openssl LK*9`dzv=G  
ln -s /usr/local/include/openssl /usr/include/openssl ^b|? ?9&  
echo "/usr/local/lib" >> /etc/ld.so.conf %@)q=*=y  
 ?f'`b<o  
最后链接应该没有问题了。输入 \_R<Q?D+  
openssl version Nb_Glf  
StTxga|  
应该输出 <b _K*]Z  
Q{uO/6  
OpenSSL 1.1.0c  10 Nov 2016 iiJT%Zq`#  
大功告成。
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您在写长篇帖子又不马上发表,建议存为草稿
 
验证问题: 阿里云官网域名是什么? 正确答案:www.aliyun.com
上一个 下一个